<?php
require_once('host_class.php');

/**
 * A host template is used for inheritance, so that you could
 * base your hosts with common properties on one of these.
 */
class host_template_class extends host_class
{
	/** object type */
	static $type = 'host_template';
	/** template or not? */
	var $is_template = true;
	/** database table to use */
	var $db_table = 'host';
	var $slave_types=false;

	function get_properties()
	{
		$this->properties = get_object_properties('host');
		$this->properties['var_index'] = array_merge(array('name' => 'string'), $this->properties['var_index']);
		unset($this->properties['visible']);
		$this->properties['topic'] = 'name';
		unset($this->properties['var_index']['host_name']);
		$this->properties['required'] = array('name');
		return $this->properties;
	}

	public function get_cmd_bar_links()
	{
		$cmd_links = parent::get_cmd_bar_links();
		unset($cmd_links['clone']);
		return $cmd_links;
	}
}
